Escalada de directorios en 3Com Network Supervisor

SeguridadVirus

Se ha anunciado la existencia de una vulnerabilidad en 3Com Network Supervisor, que puede ser empleada por atacantes remotos para la obtención de información sensible del sistema.

La vulnerabilidad está debida a un error de validación de las peticiones que recibe el servidor web integrado, que funciona sobre el puerto 21700/TCP. Este problema permite, mediante el uso de cadenas clásicas de escalada de directorios (‘../’), el acceso remoto a archivos arbitrarios del sistema situados fuera de la raíz del servidor web.

La vulnerabilidad se ha confirmado en las versiones 3Com Network Supervisor 5.0.2.

Se recomienda la instalación de las actualizaciones publicadas por 3com:

3Com Network Director 1.0 Critical Update 1:

http://support.3com.com/software/3Com_network_director_v1_0_sp0_1_cu1.exe

3Com Network Director 1.0 Critical Update 1 (para SP2 y SP3):

http://support.3com.com/software/3Com_network_director_v1_0_sp2_3_cu1.exe

3Com Network Director 2.0 Critical Update 1:

http://support.3com.com/software/3com_network_director_v2_0_cu1.exe

3Com Network Supervisor 5.1 Critical Update1:

http://support.3com.com/software/3com_network_supervisor_v5_1_cu1.exe

Leer la biografía del autor  Ocultar la biografía del autor